#!/usr/bin/env ruby

require 'nile'

n = Nile::Core.new :bind => '0.0.0.0', :port => 7125
n.get '/' do
   [200, {'Content-Type' => 'text/html'}, ['<h1>Hello Nile !</h1>']]
end

n.post '/status' do |env|
   data = JSON.parse(env[:req][:body])
   puts data
   puts env[:params]
   [200, {'Content-Type' => 'application/json'}, [JSON.pretty_generate({:status => 'ok'})]]
end

n.run
